0 Replies Latest reply on Mar 11, 2009 12:39 PM by mano.coolguy



      We are using Coldfison 8/IIS 6.0/Windows 2003 server. We are invoking a third party web services which are hosted in Internet.

      When we invoke the web service, Coldfusion is using SOAP1.1 and the generated SOAp is in version 1.1
      But the web service is expecting the request in SOAP 1.2 format. Hence getting a Server exception from AXIS server

      We narrowed down the problem to the below:
      The generated SOAP request has the following security tag in SOAP header
      <wsse:Security soapenv:actor="" soapenv:mustUnderstand="1" xmlns:wsse=" http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">

      soapenv:actor="" attribute is from SOAP1.1, SOAP1.2 do not support it anymore. SOAP1.2 uses role attribute instead

      Can some body help me configuring Coldfusion to use SOAP 1.2 by default